USB_ALLOC_DEV(9)

NAME
usb_alloc_dev - usb device constructor (usbcore-internal)

SYNOPSIS

struct usb_device * usb_alloc_dev(struct usb_device * parent, struct usb_bus * bus, unsigned port1);

ARGUMENTS

parent
    hub to which device is connected; null to allocate a root hub

bus
    bus used to access the device

port1
    one-based index of port; ignored for root hubs

CONTEXT

!in_interrupt

DESCRIPTION

Only hub drivers (including virtual root hub drivers for host controllers) should ever call this.

This call may not be used in a non-sleeping context.

RETURN

On success, a pointer to the allocated usb device. NULL on failure.

COPYRIGHT